FIR Check API - Search
Introduction:
The FIR Check API integration aims to enhance our current system's capabilities by enabling automated FIR case checks for customers. This will streamline our background verification process, ensuring that our clients have access to accurate and up-to-date legal information about customers. The integration will leverage a third-party API to retrieve court case details efficiently and effectively.
Sample cURL:
curl --location 'https://api-preproduction.signzy.app/api/v3/fir/search' \
--header 'Content-Type: application/json' \
--header 'Authorization: <auth-token>' \
--data ''{
"name": "sidharth ashok ahire",
"address": "mumbai",
"fatherName": "ashok ahire",
"matchType": "exact/possible",
}'Request Headers:
Key | Value |
|---|---|
Authorization | Shared by Signzy |
Content-Type | application/json |
Request Body:
{
"name": "sidharth ashok ahire",
"address": "mumbai",
"fatherName": "ashok ahire",
"matchType": "exact/possible",
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
name | Name of the person | String | COMPULSORY |
address | Full address of the person | String | COMPULSORY |
fatherName | Father's name of the person | String | OPTIONAL |
matchType | Match type ( exact/possible) | String | COMPULSORY |
Response Data:
{
"searchId": "6b6f18ddad074f8dbbf45288e39a71b1"
}Status Codes:
CODE | MESSAGE |
|---|---|
200 | Request Successful |
400 | Validation Error |
404 409 500 | Record Not Found Upstream is down Server Side Error |